Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## aplicacionbase64
Class Base64XBRL

    java.lang.Object
      aplicacionbase64.Base64XBRL

    public class Base64XBRL

extends java.lang.Object

Constructor Summary
`Base64XBRL()` Creates a new instance of Base64XBRL

Method Summary
`java.lang.String` | `codificar(byte[] cadena)` Codifica cadena de bytes a BASE64
`void` | `codificarFichero(java.io.File origen, java.io.File destino)` Codifica fichero origen a fichero destino en BASE64
`byte[]` | `decodificar(java.lang.String cadenaCodificada)` Decodifica String en BASE64
`void` | `decodificarFichero(java.io.File origen, java.io.File destino)` Decodifica fichero origen en BASE64 a fichero destino

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64XBRL

    public Base64XBRL()

  Creates a new instance of Base64XBRL

Method Detail

### codificar

    public java.lang.String codificar(byte[] cadena)

  Codifica cadena de bytes a BASE64

  Parameters:
    `cadena` - array de bytes para codificar en BASE64
  Returns:
    String codificado en BASE64

### codificarFichero

    public void codificarFichero(java.io.File origen,
                                 java.io.File destino)

  Codifica fichero origen a fichero destino en BASE64

  Parameters:
    `origen` - fichero destino donde se desea almacenar la codificación en BASE64

### decodificar

    public byte[] decodificar(java.lang.String cadenaCodificada)

  Decodifica String en BASE64

  Parameters:
    `cadenaCodificada` - String en BASE64 que se desea decodificar
  Returns:
    Array de bytes decodificados

### decodificarFichero

    public void decodificarFichero(java.io.File origen,
                                   java.io.File destino)

  Decodifica fichero origen en BASE64 a fichero destino

  Parameters:
    `destino` - Fichero donde se almacenará la decodificación
    `origen` - Fichero origen en BASE64

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD